#div-1 {
    background-color: seagreen;
    display: inline;
}

#div-2 {
    background-color: cyan;
    display: none;
}

/* We can't change the width and height of inline elements */
#span-1 {
    background-color: purple;
    display: inline-block;
    height: 200px;
    width: 200px;
}

#span-2 {
    background-color: pink;
    display: block;
}

#img {
    display: inline-block;
    width: 250px;
    height: 250px;
}

#p-1 {
    background-color: #87CEFA; 
}

#p-2 {
    background-color: rgb(255,105,180);
    width: 60%;
}

#p-3 {
    background-color: red;
    width: 40%;
}

.sample {
    display: inline-block;
    width: 30%;
    border: 1px solid black;
    text-align: center;
}

.img-float {
    width: 250px;
    height: 250px;
    float: inherit;
    /* float has inherit, right, left value */
}

.box {
    background: red;
    border: 1px solid black;
    margin: 5px;
}

.fifty-percent {
    width: 50%;
}

.one-hundred-pixels {
    width: 100px;
}

.one-rem {
    font-size: 1rem;
}

.one-em {
    font-size: 1em;
}

.two-rem {
    font-size: 2rem;
}

.two-em {
    font-size: 2em;
}

/* .parent .one-rem {
    font-size: 1rem;
}

.parent .one-em {
    font-size: 1em;
}

.two-rem {
    font-size: 1rem;
}

.two-em {
    font-size: 1em;
} */

.parent {
    font-size: 35px;
    width: 135px;
    border: 2px solid navy;
}

.fifty-vw {
    /* Viewport Width (vw) - 1vw = 1% */
    width: 50vw;
}

.twenty-five-vh {
    /* Viewport Height (vh) - 1vh = 1% */
    height: 25vh;
}

/* CSS Background Properties */
.background {
    min-height: 20rem;
    /* background-color: gray; */
    /* add value for color properties we can use word for the colors, hexa #FFFFF, rgb(r, g, b) */

    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center top;
    background-attachment: scroll;
}

.bg-title {
    color: white;
    text-align: center;
    font-size: 5em;
    margin: 0;
    line-height: 35rem;
}

.container-bg {
    background-color: rgba(0, 0, 0, 0.5);
    min-height: 100vh;
}

.parent-element {
    background-color: skyblue;
    padding: 50px;
    position: relative;
    height: 800px;
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 0;
    left: 10px;
    bottom: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

html {
    height: 800vh;
}

/* Z-index */
.container {
    position: relative;
}

.black-box {
    position: relative;
    z-index: 1;
    border: 2px solid black;
    height: 100px;
    margin: 30px;
}

.grey-box {
    position: absolute;
    z-index: 3;
    background-color: lightgray;
    height: 60px;
    width: 200px;
    left: 100px;
    top: 50px;
}

.green-box {
    position: absolute;
    z-index: 2;
    background-color: lightgreen;
    width: 35%;
    height: 200px;
    left: 270px;
    top: -15px;
}